Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84404 - RFE: make grub password = root password by default
Summary: RFE: make grub password = root password by default
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: distribution
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Preston Brown
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-15 20:00 UTC by Matthew Miller
Modified: 2014-03-17 02:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-17 16:51:38 UTC


Attachments (Terms of Use)

Description Matthew Miller 2003-02-15 20:00:47 UTC
Instead of prompting for both a grub password and later the root password,
anaconda should combine the two.

Rationale:

   1) There are *five* screens having to do with configuring the boot loader in
      anaconda (in text mode at least). This is about four too many -- in cases
      where reasonable defaults can be picked, they should be.
   3) Having a grub password set by default is a good thing. It means that 
      assuming decent physical/hardware security, getting root access to the
      box is at least more than trivial.
   2) Prompting for two distinct high-security-system-level passwords during
      the install is confusing to many users.
   4) Since knowing the grub password can give root-level access (init=/bin/sh, 
      for example), there's not a large gain in having them distinct in most
      cases.
   5) Which is lucky, because many people set them to the same thing anyway.


It would make sense to further do something to *keep* the passwords sync'd --
the best way would be a PAM module, but I suppose something that ran at system
shutdown could also work (since the grub password is only relevant at boot time
anyway).

Comment 1 Michael Fulbright 2003-02-17 14:51:32 UTC
We're going to collapse many of these screens in the next release so that will
alleviate some of the problems work flow-wise.

As for distribution policy of setting the grub password to the root password, I
don't personaly think its a good default.  But it isn't my call.

Will reassign so those controlling the distribution can have final say.


Comment 2 Bill Nottingham 2003-02-17 16:51:38 UTC
I'd rather keep it as a separate entry.

Comment 3 Matthew Miller 2003-02-17 17:19:52 UTC
Ok. Do you mind sharing the reasoning behind that? Especially given point #4
above? Thanks!


Note You need to log in before you can comment on or make changes to this bug.